ALAS-2017-790


Amazon Linux AMI Security Advisory: ALAS-2017-790
Advisory Release Date: 2017-01-26 18:00 Pacific
Severity: Medium

Issue Overview:

The following security-related issues were fixed:

CVE-2016-8318 Server: Security: Encryption unspecified vulnerability
CVE-2016-8327 Server: Replication unspecified vulnerability
CVE-2017-3238 Server: Optimizer unspecified vulnerability
CVE-2017-3244 Server: DML unspecified vulnerability
CVE-2017-3257 Server: InnoDB unspecified vulnerability
CVE-2017-3258 Server: DDL unspecified vulnerability
CVE-2017-3273 Server: DDL unspecified vulnerability
CVE-2017-3313 Server: MyISAM unspecified vulnerability
CVE-2017-3317 Logging unspecified vulnerability
CVE-2017-3318 Server: Error Handling unspecified vulnerability


Affected Packages:

mysql56


Issue Correction:
Run yum update mysql56 to update your system.

New Packages:
i686:
    mysql56-libs-5.6.35-1.23.amzn1.i686
    mysql56-bench-5.6.35-1.23.amzn1.i686
    mysql56-devel-5.6.35-1.23.amzn1.i686
    mysql56-server-5.6.35-1.23.amzn1.i686
    mysql56-debuginfo-5.6.35-1.23.amzn1.i686
    mysql56-errmsg-5.6.35-1.23.amzn1.i686
    mysql56-test-5.6.35-1.23.amzn1.i686
    mysql56-common-5.6.35-1.23.amzn1.i686
    mysql56-5.6.35-1.23.amzn1.i686
    mysql56-embedded-5.6.35-1.23.amzn1.i686
    mysql56-embedded-devel-5.6.35-1.23.amzn1.i686

src:
    mysql56-5.6.35-1.23.amzn1.src

x86_64:
    mysql56-embedded-devel-5.6.35-1.23.amzn1.x86_64
    mysql56-5.6.35-1.23.amzn1.x86_64
    mysql56-devel-5.6.35-1.23.amzn1.x86_64
    mysql56-server-5.6.35-1.23.amzn1.x86_64
    mysql56-libs-5.6.35-1.23.amzn1.x86_64
    mysql56-errmsg-5.6.35-1.23.amzn1.x86_64
    mysql56-debuginfo-5.6.35-1.23.amzn1.x86_64
    mysql56-embedded-5.6.35-1.23.amzn1.x86_64
    mysql56-test-5.6.35-1.23.amzn1.x86_64
    mysql56-common-5.6.35-1.23.amzn1.x86_64
    mysql56-bench-5.6.35-1.23.amzn1.x86_64